Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.binder
Class AbstractRulesModule

    java.lang.Object
      org.apache.commons.digester3.binder.AbstractRulesModule

All Implemented Interfaces:
  RulesModule

Direct Known Subclasses:
  AbstractNamespaceURIBasedRulesModule, FromAnnotationsRuleModule, FromXmlRulesModule

    public abstract class AbstractRulesModule

extends Object
implements RulesModule

A support class for RulesModule which reduces repetition and results in a more readable configuration.

Since:
  3.0

Constructor Summary
`AbstractRulesModule()`

Method Summary
`protected void` | `addError(String messagePattern, Object... arguments)` Records an error message which will be presented to the user at a later time.
`protected void` | `addError(Throwable t)` Records an exception, the full details of which will be logged, and the message of which will be presented to the user at a later time.
`protected abstract void` | `configure()` Configures a `RulesBinder` via the exposed methods.
`void` | `configure(RulesBinder rulesBinder)` Configure the Digester rules binding via the given rules binder.
`protected LinkedRuleBuilder` | `forPattern(String pattern)` Allows user binding one or more Digester rules to the input pattern.
`protected void` | `install(RulesModule rulesModule)` Uses the given module to configure more bindings.
`protected RulesBinder` | `rulesBinder()` Return the wrapped `RulesBinder`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRulesModule

    public AbstractRulesModule()

Method Detail

### configure

    public final void configure(RulesBinder rulesBinder)

  Configure the Digester rules binding via the given rules binder.

  Specified by:
    `configure` in interface `RulesModule`
  Parameters:
    `rulesBinder` - The binder instance used to configure rules bindings.

### configure

    protected abstract void configure()

  Configures a `RulesBinder` via the exposed methods.

### addError

    protected void addError(String messagePattern,
                            Object... arguments)

  Records an error message which will be presented to the user at a later time. Uses `String.format(String, Object...)` to insert the arguments into the message.

  Parameters:
    `messagePattern` - A format string
    `arguments` - Arguments referenced by the format specifiers in the format string
  See Also:
    `RulesBinder.addError(String, Object...)`

### addError

    protected void addError(Throwable t)

  Records an exception, the full details of which will be logged, and the message of which will be presented to the user at a later time.

  Parameters:
    `t` - The exception has to be recorded
  See Also:
    `RulesBinder.addError(Throwable)`

### install

    protected void install(RulesModule rulesModule)

  Uses the given module to configure more bindings.

  Parameters:
    `rulesModule` - The module used to configure more bindings
  See Also:
    `RulesBinder.install(RulesModule)`

### forPattern

    protected LinkedRuleBuilder forPattern(String pattern)

  Allows user binding one or more Digester rules to the input pattern.

  Parameters:
    `pattern` - The pattern used to bind rules
  Returns:
    The Digester rules builder
  See Also:
    `RulesBinder.forPattern(String)`

### rulesBinder

    protected RulesBinder rulesBinder()

  Return the wrapped `RulesBinder`.

  Returns:
    The wrapped `RulesBinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.